Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class BulkheadMethodAsynchronousDefaultBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadMethodAsynchronousDefaultBean

@ApplicationScoped public class BulkheadMethodAsynchronousDefaultBean extends Object
A simple method level Asynchronous @Bulkhead

Author:
  Gordon Hutchison, Andrew Rouse

## Constructor Summary

Constructors
Constructor
Description
`BulkheadMethodAsynchronousDefaultBean()`

## Method Summary

Modifier and Type
Method
Description
`Future<?>`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkheadMethodAsynchronousDefaultBean

public BulkheadMethodAsynchronousDefaultBean()

## Method Details

### test

@Bulkhead @Asynchronous public Future<?> test(Barrier barrier)